# IShFileUtilities Struct Reference
[Shell Utilities]

File utilities provided by the shell for IMCFile handling. More...

Inheritance diagram for IShFileUtilities:

List of all members.

## Public Member Functions
virtual MCCOMErr MCCOMAPI | GetSeparator (TMCString &sepString)=0
virtual MCCOMErr MCCOMAPI | GetBaseNameMaxLength (int32 &maxLength)=0
virtual MCCOMErr MCCOMAPI | CleanPathName (TMCString &thePathName)=0
virtual MCCOMErr MCCOMAPI | GetAppDirectory (TMCString &outString)=0
virtual void MCCOMAPI | GetExtensionsFolder (IMCFile **outFolder)=0
virtual MCCOMErr MCCOMAPI | CreateIMCFile (IMCFile **pFile)=0
virtual MCCOMErr MCCOMAPI | CreateIMCFileIterator (IMCFileIterator **fileIterator, const TMCString &dir, const TMCFileType *fileTypeRec, boolean resolveAliases=true)=0
virtual void MCCOMAPI | CreateTokenStream (IShTokenStream **tokenStream, TMCiostream *stream, boolean ownsStream)=0
virtual void MCCOMAPI | CreateInputFileStream (TMCiostream **outStream, const TMCString &filePathName, TranscoderType encoding, int32 *outFileSize=nil)=0
virtual int8 MCCOMAPI | GetSeparator (void)=0
virtual MCCOMErr MCCOMAPI | GetAppPath (TMCString &outString)=0
virtual MCCOMErr MCCOMAPI | CreateIMCLargeFile (IMCLargeFile **pFile)=0
virtual void MCCOMAPI | CreateITranscoder (ITranscoder **outTranscoder, TranscoderType type)=0

## Detailed Description

File utilities provided by the shell for IMCFile handling.

## Member Function Documentation

virtual MCCOMErr MCCOMAPI IShFileUtilities::CleanPathName | ( | TMCString & | thePathName | ) | `[pure virtual]`

Modifies a path name string (generally, one read from a file) to use the correct separators for this platform.

Parameters:

  | thePathName | Returns the modified path string

virtual MCCOMErr MCCOMAPI IShFileUtilities::CreateIMCFile | ( | IMCFile ** | pFile | ) | `[pure virtual]`

Creates a new file record.

Parameters:

  | pFile |

virtual MCCOMErr MCCOMAPI IShFileUtilities::CreateIMCFileIterator | ( | IMCFileIterator ** | fileIterator,
|  | const TMCString & | dir,
|  | const TMCFileType * | fileTypeRec,
|  | boolean | resolveAliases = `true` |
| ) |  |  | `[pure virtual]`

Creates a file iterator.

See also:
  IMCFileIterator
  TMCFileType

Parameters:

  | fileIterator | Returns a pointer to the file iterator
  | dir | Path
  | fileTypeRec | Pointer to a TMCFileType file type specifier to restrict the set of files over which the iterator iterates.
  | resolveAliases | If true, the file iterator will resolve aliases/shortcuts, pointing at their destination.

virtual MCCOMErr MCCOMAPI IShFileUtilities::CreateIMCLargeFile | ( | IMCLargeFile ** | pFile | ) | `[pure virtual]`

Creates a new file record.

Parameters:

  | pFile |

virtual void MCCOMAPI IShFileUtilities::CreateInputFileStream | ( | TMCiostream ** | outStream,
|  | const TMCString & | filePathName,
|  | TranscoderType | encoding,
|  | int32 * | outFileSize = `nil` |
| ) |  |  | `[pure virtual]`

Creates the correct input (read) iostream to support compressed file (using the zlib).

Parameters:

  | outStream | The stream that is created
  | filePathName | The name of the file from whom you want to create a stream
  | outFileSize | If not null, it is filled with the size of the file (note that if the file is compressed this size is the size of the compressed file, note also that iostream tell() function on a compressed stream returns the position in the compressed file).

virtual void MCCOMAPI IShFileUtilities::CreateITranscoder | ( | ITranscoder ** | outTranscoder,
|  | TranscoderType | type |
| ) |  |  | `[pure virtual]`

Creates a new transcoder.

Parameters:

  | transcoder | The transcoder that is created
  | type | The type of transcoder to create

virtual void MCCOMAPI IShFileUtilities::CreateTokenStream | ( | IShTokenStream ** | tokenStream,
|  | TMCiostream * | stream,
|  | boolean | ownsStream |
| ) |  |  | `[pure virtual]`

Creates a token stream.

Parameters:

  | tokenStream | The token stream that is created
  | stream | The original stream
  | ownsStream | True if the token stream will destroy the io stream when it is deleted.

virtual MCCOMErr MCCOMAPI IShFileUtilities::GetAppDirectory | ( | TMCString & | outString | ) | `[pure virtual]`

Returns the path to the application.

Parameters:

  | outString | Returns the path

virtual MCCOMErr MCCOMAPI IShFileUtilities::GetAppPath | ( | TMCString & | outString | ) | `[pure virtual]`

Returns the path of the application

Parameters:

  | outString | The path of the application

virtual MCCOMErr MCCOMAPI IShFileUtilities::GetBaseNameMaxLength | ( | int32 & | maxLength | ) | `[pure virtual]`

Returns the maximum length of a file path

Parameters:

  | maxLength | Returns the max length

virtual void MCCOMAPI IShFileUtilities::GetExtensionsFolder | ( | IMCFile ** | outFolder | ) | `[pure virtual]`

Returns the application's extensions folder.

Parameters:

  | outFolder | Returns a pointer to an IMCFile with the path to the extensions folder.

virtual int8 MCCOMAPI IShFileUtilities::GetSeparator | ( | void |  | ) | `[pure virtual]`

Returns the character that separates files in a path ('\' on Windows for example)

virtual MCCOMErr MCCOMAPI IShFileUtilities::GetSeparator | ( | TMCString & | sepString | ) | `[pure virtual]`

Returns the string used as a path element separator.

Parameters:

  | sepString | Returns the path element separator string

The documentation for this struct was generated from the following file:

- IShUtilities.h